package com.cf.imes.module.system.api.organ;

import com.cf.imes.framework.common.pojo.CommonResult;
import com.cf.imes.module.system.service.organ.OrganService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

import static com.cf.imes.framework.common.pojo.CommonResult.success;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@Validated
public class OrganApiImpl implements OrganApi {

    @Resource
    private OrganService organService;

    @Override
    public CommonResult<List<Long>> getOrganIdList() {
        return success(organService.getOrganIdList());
    }

    @Override
    public CommonResult<Boolean> validOrgan(Long id) {
        organService.validOrgan(id);
        return success(true);
    }

}
